SweatHost
HTTP API Reference

Regions

HTTP API reference for listing available server regions

Regions API

List available server regions. This endpoint is publicly accessible (no auth required).

Base path: /api/v1/regions


List regions

GET /api/v1/regions

Auth: Not required (public endpoint)

curl -X GET "https://api.sweathost.com/api/v1/regions"

Response

[
  {
    "code": "us-west-1",
    "name": "US West (N. California)",
    "location": "N. California",
    "isActive": true
  },
  {
    "code": "us-east-1",
    "name": "US East (N. Virginia)",
    "location": "N. Virginia",
    "isActive": true
  },
  {
    "code": "eu-west-1",
    "name": "EU West (Ireland)",
    "location": "Ireland",
    "isActive": true
  }
]

Region fields

FieldTypeDescription
codestringRegion code — use this when creating servers
namestringHuman-readable region name
locationstringGeographic location
isActivebooleanWhether the region is currently accepting new servers

Usage

Use the code field as the region parameter when creating a server via POST /api/v1/game-servers.

On this page